Package com.verisign.epp.codec.launchpolicy.v01

## Enum EPPLaunchPolicyPhase.CheckForm

- java.lang.Object
- - java.lang.Enum<EPPLaunchPolicyPhase.CheckForm>
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPhase.CheckForm

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Comparable<EPPLaunchPolicyPhase.CheckForm>`
  Enclosing class:
    EPPLaunchPolicyPhase

      public static enum EPPLaunchPolicyPhase.CheckForm
      extends java.lang.Enum<EPPLaunchPolicyPhase.CheckForm>
      implements java.io.Serializable, java.lang.Cloneable

  Possible check forms supported by the phase.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `availability` | Indicates support for the Availability Check Form, which extends the Domain Check Command to specify which launch phase to use to check the availability for each domain name passed in the command.
    `claims` | Indicates support for the Claims Check Form, which defines a new command called the Claims Check Command that is used to determine whether or not there are any matching trademarks, in the specified launch phase, for each domain name passed in the command.
    `trademark` | Indicates support for the Trademark Check Form, which defines a new command called the Trademark Check Command that is used to determine whether or not there are any matching trademarks for each domain name passed in the command, independent of the active launch phase.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPLaunchPolicyPhase.CheckForm` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPLaunchPolicyPhase.CheckForm[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### claims

          public static final EPPLaunchPolicyPhase.CheckForm claims

      Indicates support for the Claims Check Form, which defines a new command called the Claims Check Command that is used to determine whether or not there are any matching trademarks, in the specified launch phase, for each domain name passed in the command.

    - #### availability

          public static final EPPLaunchPolicyPhase.CheckForm availability

      Indicates support for the Availability Check Form, which extends the Domain Check Command to specify which launch phase to use to check the availability for each domain name passed in the command.

    - #### trademark

          public static final EPPLaunchPolicyPhase.CheckForm trademark

      Indicates support for the Trademark Check Form, which defines a new command called the Trademark Check Command that is used to determine whether or not there are any matching trademarks for each domain name passed in the command, independent of the active launch phase.

  - ### Method Detail

    - #### values

          public static EPPLaunchPolicyPhase.CheckForm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLaunchPolicyPhase.CheckForm c : EPPLaunchPolicyPhase.CheckForm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLaunchPolicyPhase.CheckForm valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null